org.apache.maven.artifact.versioning

## Class Restriction

- java.lang.Object
- - org.apache.maven.artifact.versioning.Restriction

    public class Restriction
    extends java.lang.Object

Describes a restriction in versioning.

Version:
  $Id: Restriction.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`Restriction(ArtifactVersion lowerBound, boolean lowerBoundInclusive, ArtifactVersion upperBound, boolean upperBoundInclusive)`

### Method Summary

Methods
`boolean` `containsVersion(ArtifactVersion version)`
`boolean` `equals(java.lang.Object other)`
`ArtifactVersion` `getLowerBound()`
`ArtifactVersion` `getUpperBound()`
`int` `hashCode()`
`boolean` `isLowerBoundInclusive()`
`boolean` `isUpperBoundInclusive()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Restriction

    public Restriction(ArtifactVersion lowerBound,
               boolean lowerBoundInclusive,
               ArtifactVersion upperBound,
               boolean upperBoundInclusive)

### Method Detail

#### getLowerBound

    public ArtifactVersion getLowerBound()

#### isLowerBoundInclusive

    public boolean isLowerBoundInclusive()

#### getUpperBound

    public ArtifactVersion getUpperBound()

#### isUpperBoundInclusive

    public boolean isUpperBoundInclusive()

#### containsVersion

    public boolean containsVersion(ArtifactVersion version)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`